/***************************************************************************
                          kmichannellist.h  -  description
                             -------------------
    begin                : Don Aug 8 2002
    copyright            : (C) 2002 by Stephan Hermann
    email                : sh@sourcecode.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KMICHANNELLIST_H
#define KMICHANNELLIST_H

#include <qwidget.h>
#include <qlistview.h>
#include <klocale.h>
#include <kpushbutton.h>
#include "../ircgui/channellist.h"

/**
  *@author Stephan Hermann
  */

class KMIChannelList : public channelList  {
   Q_OBJECT
public: 
	KMIChannelList(QWidget *parent=0, const char *name=0);
	~KMIChannelList();
public slots: // Public slots
  /** No descriptions */
  void addChannel(const QString &,const QString &,const QString &);
private: // Private attributes
  /**  */
  uint countChannels;
protected slots: // Protected slots
  /** No descriptions */
  virtual void slotBtnJoin();
signals: // Signals
  /** No descriptions */
  void sendInput(const QString &,QWidget *);
protected slots: // Protected slots
  /** No descriptions */
  virtual void slotBtnRefresh();
protected slots: // Protected slots
  /** No descriptions */
  virtual void slotBtnClose();
protected slots: // Protected slots
  /** No descriptions */
  virtual void slotBtnWho();
private: // Private methods
  /** No descriptions */
  void deactivateButtons();
private: // Private methods
  /** No descriptions */
  void activateButtons();
protected slots: // Protected slots
  /** No descriptions */
  virtual void slotChanneListClicked(QListViewItem *);
};

#endif
