/***************************************************************************
                          kmiconnectdlg.h  -  description
                             -------------------
    begin                : Mit Jun 26 2002
    copyright            : (C) 2002 by Stephan Hermann
    email                : sh@sourcecode.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KMICONNECTDLG_H
#define KMICONNECTDLG_H

// QT Includes
#include <qwidget.h>
#include <qlistview.h>
// KDE Includes
#include <kiconloader.h>
#include <kpushbutton.h>

// Local includes
#include "../ircgui/connectdlg.h"
#include "../logic/structures.h"

/**
  *@author Stephan Hermann
  */

class KMIConnectDlg : public connectDlg  {
   Q_OBJECT
public: 
	KMIConnectDlg(QWidget *parent=0, const char *name=0);
	~KMIConnectDlg();
  /** No descriptions */
  void setServerList(serverList *);
  /** No descriptions */
  const QString & getServerHost();
public slots: // Public slots
  /** No descriptions */
  void slotDblClick(QListViewItem *);
  /** No descriptions */
  virtual void slotSelChanged(QListViewItem *);
private: // Private attributes
  /**  */
  QString temp;
};

#endif
