/***************************************************************************
                          kmictcpreplies.cpp  -  description
                             -------------------
    begin                : Son Aug 11 2002
    copyright            : (C) 2002 by Stephan Hermann
    email                : sh@sourcecode.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "kmictcpreplies.h"

KMICtcpReplies::KMICtcpReplies(QWidget *parent, const char *name ) : ctcpReplies(parent,name,true) {
    btnAdd->setEnabled(true);
    btnEdit->setEnabled(false);
    btnDelete->setEnabled(false);
}

KMICtcpReplies::~KMICtcpReplies(){
}
/** No descriptions */
void KMICtcpReplies::slotBtnAdd(){
  KMICtcpEdit *dlg=new KMICtcpEdit(this,"ctcpEditDlg");
  if (dlg->exec()) {
    lviewCtcpReplies->insertItem(new QListViewItem(lviewCtcpReplies,dlg->getCtcpString(),dlg->getCtcpReply()));
  }
  delete dlg;
}
/** No descriptions */
void KMICtcpReplies::slotBtnEdit(){
  if (lviewCtcpReplies->selectedItem()!=0) {
    KMICtcpEdit *dlg=new KMICtcpEdit(this,"ctcpEditDlg");
    dlg->setCtcpString(lviewCtcpReplies->selectedItem()->text(0));
    dlg->setCtcpReply(lviewCtcpReplies->selectedItem()->text(1));
    if (dlg->exec()) {
      lviewCtcpReplies->selectedItem()->setText(0,dlg->getCtcpString());
      lviewCtcpReplies->selectedItem()->setText(1,dlg->getCtcpReply());
    }
    delete dlg;
  }
}
/** No descriptions */
void KMICtcpReplies::slotBtnDelete(){
  if (lviewCtcpReplies->selectedItem()!=0) {
    delete lviewCtcpReplies->selectedItem();
  }
}
/** No descriptions */
void KMICtcpReplies::slotMouseBtnClicked(int,QListViewItem *item,const QPoint &,int){
  if (item!=0) {
      btnEdit->setEnabled(true);
      btnDelete->setEnabled(true);
  } else {
    btnEdit->setEnabled(false);
    btnDelete->setEnabled(false);
  }    
}
/** No descriptions */
void KMICtcpReplies::setCtcpReplies(textList *list){
  for (s_msgText *temp=list->first();temp;temp=list->next()) {
    lviewCtcpReplies->insertItem(new QListViewItem(lviewCtcpReplies,temp->msgType,temp->msgText));
  }
  tList=list;
}
/** No descriptions */
textList * KMICtcpReplies::getCtcpReplies(){
  QListViewItemIterator it(lviewCtcpReplies);
  tList->setAutoDelete(true);
  tList->clear();
  while (it.current()!=0) {
    QListViewItem *temp=(QListViewItem *)it.current();
    s_msgText *item=new s_msgText;
    item->msgType=temp->text(0);
    item->msgText=temp->text(1);
    tList->append(item);
    ++it;
  }
  return tList;
}
