/***************************************************************************
                          kmicommandaway.cpp  -  description
                             -------------------
    begin                : Don Jul 11 2002
    copyright            : (C) 2002 by Stephan Hermann
    email                : sh@sourcecode.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "kmicommandaway.h"

KMICommandAway::KMICommandAway(KMIInputCommand *handler):KMIInputCommand(handler,"AWAY"){
  connect(this,SIGNAL(sendCommand(const QString &)),handler,SIGNAL(sendCommand(const QString &)));
}
KMICommandAway::~KMICommandAway(){
}
/** No descriptions */
QString KMICommandAway::checkCommand(const QString &channel,const QString &myNick,const QString &command,const QString &params) {
  if (command.lower()==getHandledCommand().lower()) {
    params.stripWhiteSpace();
    QString reason=params;
    qDebug("Params in AWAY"+params);
    if (reason.isEmpty()) {
      sendCommand("AWAY\n");
    } else {
      sendCommand("AWAY :"+reason+"\n");
    }
    return QString("gotcha");
  }
  return QString("");
}
