/***************************************************************************
                          kmicommandkick.cpp  -  description
                             -------------------
    begin                : Sam Jul 20 2002
    copyright            : (C) 2002 by Stephan Hermann
    email                : sh@sourcecode.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "kmicommandkick.h"

KMICommandKick::KMICommandKick(KMIInputCommand *handler):KMIInputCommand(handler,"KICK") {
  connect(this,SIGNAL(sendCommand(const QString &)),handler,SIGNAL(sendCommand(const QString &)));
}
KMICommandKick::~KMICommandKick(){
}
/** No descriptions */
QString KMICommandKick::checkCommand(const QString &channel,const QString &nick,const QString &command,const QString &params){
  qDebug("KICK");
  QString line=params;
  if (command.lower()==getHandledCommand().lower()) {
    QString nick=line.left(line.find(" "));
    line.remove(0,line.find(" ")+1);
    QString reason=line;
    sendCommand(QString("KICK %1 %2 :%3\n").arg(channel).arg(nick).arg(reason));
    return QString("gotcha");
  } else {
    return QString("");
  }
}
