/***************************************************************************
                          kmicommandlinks.cpp  -  description
                             -------------------
    begin                : Son Aug 11 2002
    copyright            : (C) 2002 by Stephan Hermann
    email                : sh@sourcecode.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "kmicommandlinks.h"

KMICommandLinks::KMICommandLinks(KMIInputCommand *handler):KMIInputCommand(handler,"LINKS"){
  connect(this,SIGNAL(sendCommand(const QString &)),handler,SIGNAL(sendCommand(const QString &)));
}
KMICommandLinks::~KMICommandLinks(){
}
/** No descriptions */
QString KMICommandLinks::checkCommand(const QString &channel,const QString &nick,const QString &command,const QString &params){
  if (command.lower()==getHandledCommand().lower()) {
    QString com=command;
    if (!params.isEmpty()) {
      QString line=params;
      QString remote=line.left(line.find(" "));
      QString mask;
      line.remove(0,line.find(" ")+1);
      if (!line.isEmpty()) {
        mask=line;
      }
      if (!remote.isEmpty() && !mask.isEmpty()) {
        com=com+" "+remote+" "+mask;
      } else if (!remote.isEmpty() && mask.isEmpty()) {
        com=com+" "+remote;
      }
    }
    sendCommand(com+"\n");
    return QString("gotcha");
  }
  return QString("");
}
