/***************************************************************************
                          kmicommandlist.cpp  -  description
                             -------------------
    begin                : Don Aug 8 2002
    copyright            : (C) 2002 by Stephan Hermann
    email                : sh@sourcecode.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "kmicommandlist.h"

KMICommandList::KMICommandList(KMIInputCommand *handler):KMIInputCommand(handler,"LIST"){
  connect(this,SIGNAL(sendCommand(const QString &)),handler,SIGNAL(sendCommand(const QString &)));
}
KMICommandList::~KMICommandList(){
}
/** No descriptions */
QString KMICommandList::checkCommand(const QString &channel,const QString &myNick,const QString &command,const QString &params){
  if (command.lower()==getHandledCommand().lower()) {
    QString command;
    command="LIST";
    if (!params.isEmpty()) {
      QString line=params;
      QString channels=line.left(line.find(" "));
      line.remove(0,line.find(" "));
      QString target;
      if (!line.isEmpty()){
        target=line;
      }
      if (!target.isEmpty()) {
        command=command+" "+channels+" "+target;
      } else {
        command=command+" "+channels;
      }
    }
    sendCommand(command+"\n");
    return QString("gotcha");
    
  }
  return QString("");
}
