/***************************************************************************
                          kmicommandmsg.cpp  -  description
                             -------------------
    begin                : Sam Jul 6 2002
    copyright            : (C) 2002 by Stephan Hermann
    email                : sh@sourcecode.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "kmicommandmsg.h"

KMICommandMsg::KMICommandMsg(KMIInputCommand *handler):KMIInputCommand(handler,"MSG"){
  connect(this,SIGNAL(sendCommand(const QString &)),handler,SIGNAL(sendCommand(const QString &)));
  connect(this,SIGNAL(sendMsgToChannel(const QString &,const QString &,const QString &)),handler,SIGNAL(sendMsgToChannel(const QString &,const QString &,const QString &)));  
}
KMICommandMsg::~KMICommandMsg(){
}
/** No descriptions */
QString KMICommandMsg::checkCommand(const QString &channel,const QString &nick,const QString &command,const QString &params){
  QDict<QString> replace;
  if (command.lower()==getHandledCommand().lower()) {
    QString to=params.left(params.find(" "));
    QString message=params.mid(params.find(" ")+1);
    sendCommand(QString("PRIVMSG %1 :%2\n").arg(to).arg(message));
    replace.clear();
    replace.insert("nick",new QString(to));
    replace.insert("msg",new QString(message));
    sendMsgToChannel(channel.lower(),to,getOutputRender()->renderOutput("MSG",replace));
    return QString("gotcha");
  } else {
    return QString ("");
  }
}
