/***************************************************************************
                          kmicommandnick.cpp  -  description
                             -------------------
    begin                : Sam Jul 6 2002
    copyright            : (C) 2002 by Stephan Hermann
    email                : sh@sourcecode.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "kmicommandnick.h"

KMICommandNick::KMICommandNick(KMIInputCommand *handler):KMIInputCommand(handler,"NICK"){
  connect(this,SIGNAL(sendCommand(const QString &)),handler,SIGNAL(sendCommand(const QString &)));
}
KMICommandNick::~KMICommandNick(){
}
/** No descriptions */
QString KMICommandNick::checkCommand(const QString &channel,const QString &nick,const QString &command,const QString &params){
  if (command.lower()==getHandledCommand().lower()) {
    QString nick=params.left(params.find(" "));
    sendCommand(QString("NICK %1\n").arg(nick));
    return QString("gotit");
  } else {
    return QString("");
  }
}
