/***************************************************************************
                          kmicommandnotice.cpp  -  description
                             -------------------
    begin                : Sam Jul 6 2002
    copyright            : (C) 2002 by Stephan Hermann
    email                : sh@sourcecode.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "kmicommandnotice.h"

KMICommandNotice::KMICommandNotice(KMIInputCommand *handler):KMIInputCommand(handler,"NOTICE"){
  connect(this,SIGNAL(sendCommand(const QString &)),handler,SIGNAL(sendCommand(const QString &)));
  connect(this,SIGNAL(sendMsgToChannel(const QString &,const QString &,const QString &)),handler,SIGNAL(sendMsgToChannel(const QString &,const QString &,const QString &)));  
}
KMICommandNotice::~KMICommandNotice(){
}
/** No descriptions */
QString KMICommandNotice::checkCommand(const QString &channel,const QString &myNick,const QString &command,const QString &params){
  if (command.lower()==getHandledCommand().lower()) {
    qDebug("in NOTICE");
    QString nick=params.left(params.find(" "));
    QString msg=params.mid(params.find(" ")+1);
    sendCommand(QString("NOTICE %1 :%2\n").arg(nick).arg(msg));
    sendMsgToChannel("",nick,msg);
    return QString("gotit");
  } else {
      return QString("");
  }
}
