/***************************************************************************
                          kmicommandquit.cpp  -  description
                             -------------------
    begin                : Mon Jul 22 2002
    copyright            : (C) 2002 by Stephan Hermann
    email                : sh@sourcecode.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "kmicommandquit.h"

KMICommandQuit::KMICommandQuit(KMIInputCommand *handler):KMIInputCommand(handler,"QUIT"){
  connect(this,SIGNAL(sendCommand(const QString &)),handler,SIGNAL(sendCommand(const QString &)));
}
KMICommandQuit::~KMICommandQuit(){
}

/** No descriptions */
QString KMICommandQuit::checkCommand(const QString &channel,const QString &myNick,const QString &command,const QString &params){
  if (command.lower()==getHandledCommand().lower()) {
    if (!params.isEmpty()) {
      qDebug(params);
      sendCommand("QUIT :"+params+"\n");
    } else {
      sendCommand("QUIT\n");
    }
    return QString("Gotcha");
  } else {
    return QString("");
  }
}
