/***************************************************************************
                          kmicommandservlist.cpp  -  description
                             -------------------
    begin                : Fre Sep 6 2002
    copyright            : (C) 2002 by Stephan Hermann
    email                : sh@sourcecode.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "kmicommandservlist.h"

KMICommandServList::KMICommandServList(KMIInputCommand *handler):KMIInputCommand(handler,"SERVLIST"){
  connect(this,SIGNAL(sendCommand(const QString &)),handler,SIGNAL(sendCommand(const QString &)));
}
KMICommandServList::~KMICommandServList(){
}
/** No descriptions */
QString KMICommandServList::checkCommand(const QString &channel,const QString &myNick,const QString &command,const QString &params){
  if (command.lower()==getHandledCommand().lower()) {
    params.stripWhiteSpace();
    QString one;
    QString two;
    QString line=params;
    if (!params.isEmpty()) {
      one=line.left(line.find(" "));
      line.remove(0,line.find(" ")+1);
      two=line;
      sendCommand("SERVLIST "+one+" "+two+"\n");
    } else {
      sendCommand("SERVLIST\n");
    }    
    return QString("gotcha");
  }
  return QString("");
}
