/***************************************************************************
                          kmicommandversion.cpp  -  description
                             -------------------
    begin                : Don Aug 8 2002
    copyright            : (C) 2002 by Stephan Hermann
    email                : sh@sourcecode.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "kmicommandversion.h"

KMICommandVersion::KMICommandVersion(KMIInputCommand *handler):KMIInputCommand(handler,"VERSION"){
  connect(this,SIGNAL(sendCommand(const QString &)),handler,SIGNAL(sendCommand(const QString &)));
}
KMICommandVersion::~KMICommandVersion(){
}
/** No descriptions */
QString KMICommandVersion::checkCommand(const QString &channel,const QString &myNick,const QString &command,const QString &params){
  if (command.lower()==getHandledCommand().lower()) {
    if (!params.isEmpty()) {
      sendCommand("VERSION "+params+"\n");
    } else {
      sendCommand("VERSION\n");
    }
    return QString("gotcha");
  }
  return QString("");
}
                 
                 