/***************************************************************************
                          kmictcpcommonhandler.cpp  -  description
                             -------------------
    begin                : Tue Sep 17 2002
    copyright            : (C) 2002 by Stephan Hermann
    email                : sh@sourcecode.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "kmictcpcommonhandler.h"

KMICTCPCommonHandler::KMICTCPCommonHandler(KMICTCPHandler *handler,const char *name,const char *backMsg):KMICTCPHandler(handler,name){
  _backMsg=backMsg;
}
KMICTCPCommonHandler::~KMICTCPCommonHandler(){
}
/** No descriptions */
QString KMICTCPCommonHandler::getOutput(ctcpMessage *ctcp){
  if (ctcp->strCommand==getHandledAction()) {
      QString message="command NOTICE "+getParent()->getFrom().left(getParent()->getFrom().find("!"))+" :"+_backMsg+"\n";
      return message;
  } else {
      return QString("");
  }
}
