/***************************************************************************
                          kmictcphandler.h  -  description
                             -------------------
    begin                : Sam Jun 29 2002
    copyright            : (C) 2002 by Stephan Hermann
    email                : sh@sourcecode.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KMICTCPHANDLER_H
#define KMICTCPHANDLER_H

#include <qobject.h>
#include "../logic/kmiconfig.h"
#include "../logic/kmictcpparser.h"

/**
  *@author Stephan Hermann
  */

class KMICTCPHandler : public QObject  {
  Q_OBJECT
public: 
	KMICTCPHandler(QObject *parent=0,const char *name=0,KMIConfig *cfg=0);
  KMICTCPHandler(KMICTCPHandler *handler=0,const char *name=0);
	~KMICTCPHandler();
  /** No descriptions */
  QString ctcpOutput(const QString &,const QString &,const QString &);
  /** No descriptions */
  KMICTCPHandler * getParent();
  /** No descriptions */
  KMICTCPParser * getParser();
  /** No descriptions */
  virtual QString getOutput(ctcpMessage *);
  /** No descriptions */
  const QString & getHandledAction();
  /** No descriptions */
  KMIConfig * getConfig();
  /** No descriptions */
  const QString & getFrom();
private: // Private attributes
  /**  */
  KMICTCPParser * ctcpParser;
  /**  */
  bool isRoot;
  /**  */
  QString handledAction;
  /**  */
  KMICTCPHandler * v_parent;
  /**  */
  KMIConfig * v_config;
  /**  */
  QString  from;
private: // Private methods
  /** No descriptions */
  QString & getChannel();
  /**  */
  QString channel;
};

#endif
