/***************************************************************************
                          kmictcpparser.h  -  description
                             -------------------
    begin                : Fre Jun 28 2002
    copyright            : (C) 2002 by Stephan Hermann
    email                : sh@sourcecode.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KMICTCPPARSER_H
#define KMICTCPPARSER_H

#include <qobject.h>

/**
  *@author Stephan Hermann
  */

struct ctcpMessage {
  QString strCommand;
  QString message;
};

class KMICTCPParser : public QObject  {
  Q_OBJECT
public: 
	KMICTCPParser(QObject *parent=0,const char *name=0);
	~KMICTCPParser();
  /** No descriptions */
  ctcpMessage * parseCtcp(const QString &ctcpString);
  /** No descriptions */
  QString ctcpEnquote(const QString &);
  /** No descriptions */
  QString getCTCPMessage(const QString &);
  /** No descriptions */
  QString ctcpDequote(const QString &message);
  
};

#endif
