/***************************************************************************
                          kmictcpsourcehandler.cpp  -  description
                             -------------------
    begin                : Mon Jul 1 2002
    copyright            : (C) 2002 by Stephan Hermann
    email                : sh@sourcecode.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "kmictcpsourcehandler.h"

KMICTCPSourceHandler::KMICTCPSourceHandler(KMICTCPHandler *parent,const QString &loc):KMICTCPHandler(parent,"SOURCE") {
  location=loc;
}
KMICTCPSourceHandler::~KMICTCPSourceHandler(){
}
/** No descriptions */
QString KMICTCPSourceHandler::getOutput(ctcpMessage *ctcp){
  if (ctcp->strCommand.stripWhiteSpace()==getHandledAction()) {
    QString message="command NOTICE "+getParent()->getFrom().left(getParent()->getFrom().find("!"))+" :Source-URL "+location+"\n";
    return message;
  } else {
    return QString("");
  }    
}
