/***************************************************************************
                          kmictcpversionhandler.cpp  -  description
                             -------------------
    begin                : Mon Jul 1 2002
    copyright            : (C) 2002 by Stephan Hermann
    email                : sh@sourcecode.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "kmictcpversionhandler.h"

KMICTCPVersionHandler::KMICTCPVersionHandler(KMICTCPHandler *parent,const QString &_version, const QString &copyRight):KMICTCPHandler(parent,"VERSION"){
  copy=copyRight;
  version=_version;
}
KMICTCPVersionHandler::~KMICTCPVersionHandler(){
}
/** No descriptions */
QString KMICTCPVersionHandler::getOutput(ctcpMessage *ctcp){
  if (ctcp->strCommand.stripWhiteSpace()==getHandledAction()) {
    QString message="command NOTICE "+getParent()->getFrom().left(getParent()->getFrom().find("!"))+" :VERSION KMyIRC "+version+" KDE 3.x"+"\n";
    // message+="NOTICE "+getParent()->getFrom().left(getParent()->getFrom().find("!"))+" :"+copy+"\n";
    return message;
  } else {
    return QString("");
  }
}
