/***************************************************************************
                          kmictcpversionhandler.h  -  description
                             -------------------
    begin                : Mon Jul 1 2002
    copyright            : (C) 2002 by Stephan Hermann
    email                : sh@sourcecode.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KMICTCPVERSIONHANDLER_H
#define KMICTCPVERSIONHANDLER_H

#include "../logic/kmictcphandler.h"

/**
  *@author Stephan Hermann
  */

class KMICTCPVersionHandler : public KMICTCPHandler  {
  Q_OBJECT
public: 
	KMICTCPVersionHandler(KMICTCPHandler *parent,const QString &_version="", const QString &copyRight="");
	~KMICTCPVersionHandler();
  /** No descriptions */
  virtual QString getOutput(ctcpMessage *);
private: // Private attributes
  /**  */
  QString version;
  /**  */
  QString copy;
};

#endif
