/***************************************************************************
                          kmicolorlistviewitem.h  -  description
                             -------------------
    begin                : Fre Jun 28 2002
    copyright            : (C) 2002 by Stephan Hermann
    email                : sh@sourcecode.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KMICOLORLISTVIEWITEM_H
#define KMICOLORLISTVIEWITEM_H

#include <qwidget.h>
#include <qlistview.h>
#include <qpainter.h>
#include <qiconset.h>
#include <kiconloader.h>


/**
  *@author Stephan Hermann
  */

class KMIColorListViewItem : public QListViewItem  {
public: 
	KMIColorListViewItem(QListView *parent=0,const QString &text="",const QString &color="#ffffff");
  KMIColorListViewItem(QListViewItem *item=0,const QString &text="",const QString &color="#ffffff");
  KMIColorListViewItem(QListViewItem *item=0,const QString &text="",const QColor &color=QColor("#000000"));
  KMIColorListViewItem(QListView *parent=0,const QString &text="",const QColor &color=QColor("#000000"));
	~KMIColorListViewItem();
  /** No descriptions */
  virtual void paintCell ( QPainter * p, const QColorGroup & cg, int column, int width, int align );
  /** No descriptions */
  virtual void setColor(const QColor &color);
  /** No descriptions */
  virtual void setColor(const QString &color);
  /** No descriptions */
  virtual void setText(int column,const QString &text);
  /** No descriptions */
  const QColor & getColor();
  /** No descriptions */
  const QString & getColorName();
private: // Private attributes
  /**  */
  QColor columnColor;
};

#endif
