/***************************************************************************
                          kmiconnectdlg.cpp  -  description
                             -------------------
    begin                : Mit Jun 26 2002
    copyright            : (C) 2002 by Stephan Hermann
    email                : sh@sourcecode.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "kmiconnectdlg.h"

KMIConnectDlg::KMIConnectDlg(QWidget *parent, const char *name ) : connectDlg(parent,name,true) {
  btnOk->setEnabled(false);
}
KMIConnectDlg::~KMIConnectDlg(){
}
/** No descriptions */
void KMIConnectDlg::setServerList(serverList *l){
  QListViewItem *temp,*temp2;
  serverItem *temp1;
  for (temp1=l->first();temp1;temp1=l->next()) {
    temp=lviewServerProfile->findItem(temp1->group,0);
    if (temp!=0) {
      temp2=new QListViewItem(temp,temp1->name,temp1->serverName,QString("%1").arg(temp1->portNo));
      temp2->setPixmap(0,QPixmap(SmallIcon("server")));
    } else {
      temp=new QListViewItem(lviewServerProfile,temp1->group);
      temp->setPixmap(0,QPixmap(SmallIcon("folder")));
      temp2=new QListViewItem(temp,temp1->name,temp1->serverName,QString("%1").arg(temp1->portNo));
      temp2->setPixmap(0,QPixmap(SmallIcon("server")));
    }
  }
}
/** No descriptions */
void KMIConnectDlg::slotDblClick(QListViewItem *item){
  if (item->parent()!=0) {
    accept();
  }
}
/** No descriptions */
const QString & KMIConnectDlg::getServerHost(){
  // Retrieve server
  temp=lviewServerProfile->selectedItem()->text(1);
  return temp;
}
/** No descriptions */
void KMIConnectDlg::slotSelChanged(QListViewItem *item){
  if (item!=0) {
    if (item->parent()!=0) {
      btnOk->setEnabled(true);
    } else {
      btnOk->setEnabled(false);
    }
  }
}
