/***************************************************************************
                          kmictcpreplies.h  -  description
                             -------------------
    begin                : Son Aug 11 2002
    copyright            : (C) 2002 by Stephan Hermann
    email                : sh@sourcecode.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KMICTCPREPLIES_H
#define KMICTCPREPLIES_H

#include <qwidget.h>
#include <qlistview.h>
#include "../ircgui/ctcpreplies.h"
#include "../ircgui/kmictcpedit.h"
#include "../logic/structures.h"

/**
  *@author Stephan Hermann
  */

class KMICtcpReplies : public ctcpReplies  {
   Q_OBJECT
public: 
	KMICtcpReplies(QWidget *parent=0, const char *name=0);
	~KMICtcpReplies();
  /** No descriptions */
  void setCtcpReplies(textList *list);
  /** No descriptions */
  textList * getCtcpReplies();
public slots: // Public slots
  /** No descriptions */
  void slotBtnEdit();
public slots: // Public slots
  /** No descriptions */
  void slotBtnAdd();
  /** No descriptions */
  void slotBtnDelete();
protected slots: // Protected slots
  /** No descriptions */
  virtual void slotMouseBtnClicked(int,QListViewItem *,const QPoint &,int);
private: // Private attributes
  /**  */
  textList * tList;
};

#endif
