/***************************************************************************
                          kmipopupedit.h  -  description
                             -------------------
    begin                : Wed Nov 6 2002
    copyright            : (C) 2002 by Stephan Hermann
    email                : sh@sourcecode.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KMIPOPUPEDIT_H
#define KMIPOPUPEDIT_H

// QT includes
#include <qwidget.h>
#include <qlistview.h>
#include <qpopupmenu.h>
#include <qptrlist.h>

// KDE includes
#include <klocale.h>
#include <kcombobox.h>
#include <klistview.h>

// KMyIRC Includes
#include "../ircgui/popupeditdlg.h"
#include "../ircgui/kmialiasdlg.h"
#include "../logic/kmiconfig.h"
#include "../logic/structures.h"
/**
  *@author Stephan Hermann
  */

class KMIPopupEdit : public popupEditDlg  {
   Q_OBJECT
public: 
	KMIPopupEdit(QWidget *parent=0, const char *name=0, l_aliasCmdList *cfg=0);
	~KMIPopupEdit();
	l_aliasCmdList *getAliasList();
protected slots: // Protected slots
  /** No descriptions */
  virtual void slotLviewPopup(QListViewItem *,const QPoint &,int);
private: // Private attributes
  /**  */
  KMIConfig * config;
	l_aliasCmdList * ll;
protected slots:
	virtual void slotLviewPopup(QListViewItem * item = 0);
private:
	s_aliasList * findAliasPtr(const QString &alias = "");
	QString findAlias(const QString &alias = "");
protected slots:
	virtual void slotComboPopupActivated(int);
};

#endif
