
#ifndef _KMIRAWIRCWINDOW_H_
#define _KMIRAWIRCWINDOW_H_

#include <qwidget.h>
#include <qcheckbox.h>
#include <qfile.h>
#include <qtextstream.h>
#include <klineedit.h>
#include <kpushbutton.h>
#include <kfiledialog.h>
#include <klocale.h>
#include "../ircgui/mdirawircwin.h"
#include "../widgets/kmiwidgets/kmitextbrowser.h"
/**
 * 
 * Stephan Hermann
 **/
class KMIRawIRCWindow : public mdiRawIRCWin
{
  Q_OBJECT

public:
  KMIRawIRCWindow(QWidget *parent=0, const char *name=NULL);
  ~KMIRawIRCWindow();
public slots:
	void output(const QString & str = "");
protected slots:
	virtual void slotEnableWidgets(bool toggle);
protected slots:
	virtual void slotSelectFile();
private: // Private attributes
	QFile * logFile;
	QTextStream * stream;
};

#endif

