/***************************************************************************
                          kmicommandctcp.cpp  -  description
                             -------------------
    begin                : Tue Sep 17 2002
    copyright            : (C) 2002 by Stephan Hermann
    email                : sh@sourcecode.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "kmicommandctcp.h"

KMICommandCtcp::KMICommandCtcp(KMIInputCommand *handler):KMIInputCommand(handler,"CTCP"){
  connect(this,SIGNAL(sendCommand(const QString &)),handler,SIGNAL(sendCommand(const QString &)));
}
KMICommandCtcp::~KMICommandCtcp(){
}
/** No descriptions */
QString KMICommandCtcp::checkCommand(const QString &channel,const QString &myNick,const QString &command,const QString &params){
//  KMICTCPParser *ctcp=new KMICTCPParser(this);
//  QString ctcpMsg=ctcp->getCTCPMessage("ACTION "+line1);

  if (command.lower()==getHandledCommand().lower()) {
    params.stripWhiteSpace();
    if (!params.isEmpty()) {
        QString line=params;
        QString toNick=line.left(line.find(" "));
        line.remove(0,line.find(" ")+1);
        QString ctcpCommand=line.left(line.find(" "));
        line.remove(0,line.find(" ")+1);
        KMICTCPParser *ctcp=new KMICTCPParser(this);
        QString ctcpMsg=ctcp->getCTCPMessage(ctcpCommand+" "+line);
        sendCommand("PRIVMSG "+toNick+" :"+ctcpMsg+"\n");                        
    }
    return QString("gotcha");
  }
  return QString("");  
}
