/***************************************************************************
                          kmicommandinfo.cpp  -  description
                             -------------------
    begin                : Don Sep 5 2002
    copyright            : (C) 2002 by Stephan Hermann
    email                : sh@sourcecode.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "kmicommandinfo.h"

KMICommandInfo::KMICommandInfo(KMIInputCommand *handler):KMIInputCommand(handler,"INFO"){
  connect(this,SIGNAL(sendCommand(const QString &)),handler,SIGNAL(sendCommand(const QString &)));
}
KMICommandInfo::~KMICommandInfo(){
}
/** No descriptions */
QString KMICommandInfo::checkCommand(const QString &channel,const QString &myNick,const QString &command,const QString &params){
  if (command.lower()==getHandledCommand().lower()) {
    params.stripWhiteSpace();
    if (!params.isEmpty()) {
      sendCommand("INFO "+params+"\n");
    } else {
      sendCommand("INFO\n");
    }
    return QString("gotcha");
  }
  return QString("");
}
