/***************************************************************************
                          kmicommandinvite.cpp  -  description
                             -------------------
    begin                : Son Jul 21 2002
    copyright            : (C) 2002 by Stephan Hermann
    email                : sh@sourcecode.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "kmicommandinvite.h"

KMICommandInvite::KMICommandInvite(KMIInputCommand *handler):KMIInputCommand(handler,"INVITE"){
  connect(this,SIGNAL(sendCommand(const QString &)),handler,SIGNAL(sendCommand(const QString &)));
}
KMICommandInvite::~KMICommandInvite(){
}
/** No descriptions */
QString KMICommandInvite::checkCommand(const QString &channel,const QString &myNick,const QString &command,const QString &params){
  QDict<QString> replace;
  if (command.lower()==getHandledCommand().lower()) {
    QString nick=params.left(params.find(" "));
    QString channel1=params.mid(params.find(" ")+1);
    sendCommand("INVITE "+nick+" "+channel+"\n");
    return QString("gotcha");
  } else {
    return QString("");
  }
}
