/***************************************************************************
                          kmicommandjoin.cpp  -  description
                             -------------------
    begin                : Sam Jul 6 2002
    copyright            : (C) 2002 by Stephan Hermann
    email                : sh@sourcecode.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "kmicommandjoin.h"

KMICommandJoin::KMICommandJoin(KMIInputCommand *handler):KMIInputCommand(handler,"JOIN") {
  connect(this,SIGNAL(sendCommand(const QString &)),handler,SIGNAL(sendCommand(const QString &)));
}
KMICommandJoin::~KMICommandJoin(){
}
/** No descriptions */
QString KMICommandJoin::checkCommand(const QString &channel,const QString &nick,const QString &command,const QString &params){
  if (command.lower()==getHandledCommand().lower()) {
    QString channels=params.left(params.find(" "));
    QString keys=params.mid(params.find(" ")+1);
    sendCommand(QString("JOIN %1 %2\n").arg(channels).arg(keys));
    return QString("gotit");
  } else {
    return QString("");
  }
}
