//
//
// C++ Implementation: cpp
//
// Description: 
//
//
// Author: Stephan Hermann <sh@sourcecode.de>, (C) 2003
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "kmicommandleave.h"

KMICommandLeave::KMICommandLeave(KMIInputCommand *handler):KMIInputCommand(handler,"LEAVE")
{
	connect(this,SIGNAL(sendCommand(const QString &)),handler,SIGNAL(sendCommand(const QString &)));
}


KMICommandLeave::~KMICommandLeave()
{
}

/*!
    \fn KMICommandLeave::checkCommand(const QString &channel,const QString &myNick,const QString &command,const QString &params)
 */
QString KMICommandLeave::checkCommand(const QString &channel,const QString &myNick,const QString &command,const QString &params)
{
	if (command.lower()==getHandledCommand().lower()) {
    	QString command1;
		command1="PART";
		QString line=params;
		qWarning("command leave: channel "+channel+" params: "+params+"\n");
		line=params.left(params.find(" "));
		if (!line.isEmpty()) {
			line.remove(0,line.find(" "));
		} else {
			line=params;
		}
		command1=command1+" "+line+":KMyIRC Standard part message";;
		sendCommand(command1+"\n");
		return QString("gotcha");
	}
	return QString("");
}


