/***************************************************************************
                          kmicommandmode.cpp  -  description
                             -------------------
    begin                : Die Jul 9 2002
    copyright            : (C) 2002 by Stephan Hermann
    email                : sh@sourcecode.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "kmicommandmode.h"

KMICommandMode::KMICommandMode(KMIInputCommand *handler):KMIInputCommand(handler,"MODE"){
  connect(this,SIGNAL(sendCommand(const QString &)),handler,SIGNAL(sendCommand(const QString &)));
}
KMICommandMode::~KMICommandMode(){
}
/** No descriptions */
QString KMICommandMode::checkCommand(const QString &channel,const QString &nick,const QString &command,const QString &params){
  qDebug("MODE");
  QString line=params;
  if (command.lower()==getHandledCommand().lower()) {
    QString nickOrChannel=line.left(line.find(" "));
    line.remove(0,line.find(" "));
    QString mode=line.left(line.find(" "));
    line.remove(0,line.find(" "));
    QString extPar=line;
    sendCommand(QString("MODE %1 %2 %3\n").arg(nickOrChannel).arg(mode).arg(extPar));
    return QString("gocha");    
  } else {
    return QString("");
  }
}
