/***************************************************************************
                          kmicommandnames.cpp  -  description
                             -------------------
    begin                : Son Jul 21 2002
    copyright            : (C) 2002 by Stephan Hermann
    email                : sh@sourcecode.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "kmicommandnames.h"

KMICommandNames::KMICommandNames(KMIInputCommand *handler):KMIInputCommand(handler,"NAMES"){
  connect(this,SIGNAL(sendCommand(const QString &)),handler,SIGNAL(sendCommand(const QString &)));
}
KMICommandNames::~KMICommandNames(){
}
/** No descriptions */
QString KMICommandNames::checkCommand(const QString &channel,const QString &nick,const QString &command,const QString &params){
  if (command.lower()==getHandledCommand().lower()) {
    sendCommand("NAMES "+params+"\n");
    return QString("gotcha");    
  } else {
    return QString("");
  }
}
