/***************************************************************************
                          kmicommandnames.h  -  description
                             -------------------
    begin                : Son Jul 21 2002
    copyright            : (C) 2002 by Stephan Hermann
    email                : sh@sourcecode.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KMICOMMANDNAMES_H
#define KMICOMMANDNAMES_H

#include "../logic/kmiinputcommand.h"


/**
  *@author Stephan Hermann
  */

class KMICommandNames : public KMIInputCommand  {
  Q_OBJECT
public: 
	KMICommandNames(KMIInputCommand *handler=0);
	~KMICommandNames();
protected: // Protected methods
  /** No descriptions */
  virtual QString checkCommand(const QString &channel,const QString &nick,const QString &command,const QString &params);
};

#endif
