/***************************************************************************
                          kmicommandpart.cpp  -  description
                             -------------------
    begin                : Son Jul 21 2002
    copyright            : (C) 2002 by Stephan Hermann
    email                : sh@sourcecode.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "kmicommandpart.h"

KMICommandPart::KMICommandPart(KMIInputCommand *handler):KMIInputCommand(handler,"PART"){
  connect(this,SIGNAL(sendCommand(const QString &)),handler,SIGNAL(sendCommand(const QString &)));
}

KMICommandPart::~KMICommandPart(){
}
/** No descriptions */
QString KMICommandPart::checkCommand(const QString &channel,const QString &myNick,const QString &command,const QString &params){
  if (command.lower()==getHandledCommand().lower()) {
    QString line=params;
    QString channel1=line.left(line.find(" "));
    line.remove(0,line.find(" ")+1);
    QString reason=line;
    if (reason.isEmpty()) {
      reason=":KMyIRC Default Part Message";
    } else {
      reason=":"+reason;
    }
    sendCommand("PART "+channel1+" "+reason+"\n");
    return QString("gotcha");
  } else {
    return QString("");
  }
}
