/***************************************************************************
                          kmicommandstats.cpp  -  description
                             -------------------
    begin                : Sam Aug 10 2002
    copyright            : (C) 2002 by Stephan Hermann
    email                : sh@sourcecode.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "kmicommandstats.h"

KMICommandStats::KMICommandStats(KMIInputCommand *handler):KMIInputCommand(handler,"STATS"){
  connect(this,SIGNAL(sendCommand(const QString &)),handler,SIGNAL(sendCommand(const QString &)));
}
KMICommandStats::~KMICommandStats(){
}
/** No descriptions */
QString KMICommandStats::checkCommand(const QString &channel,const QString &myNick,const QString &command,const QString &params){
  if (command.lower()==getHandledCommand().lower()) {
    QString com=command;
    if (!params.isEmpty()) {
      if (params.length()==1){
        com=com+" "+params;
      }
    }
    sendCommand(com+" "+"\n");
    return QString("gotcha");        
  }
  return QString("");
}
