/***************************************************************************
                          kmicommandtopic.cpp  -  description
                             -------------------
    begin                : Die Jul 23 2002
    copyright            : (C) 2002 by Stephan Hermann
    email                : sh@sourcecode.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "kmicommandtopic.h"

KMICommandTopic::KMICommandTopic(KMIInputCommand *handler):KMIInputCommand(handler,"TOPIC"){
  connect(this,SIGNAL(sendCommand(const QString &)),handler,SIGNAL(sendCommand(const QString &)));
}
KMICommandTopic::~KMICommandTopic(){
}
/** No descriptions */
QString KMICommandTopic::checkCommand(const QString &channel,const QString &myNick,const QString &command,const QString &params){
  if (command.lower()==getHandledCommand().lower()) {
    QString line=params;
    QString channel=params.left(params.find(" "));
    line.remove(0,params.find(" ")+1);
    QString topic=line;
    if (!topic.isEmpty()) {
      topic=":"+topic;
    }
    sendCommand ("TOPIC "+channel+" "+topic+"\n");
    return QString("gotcha");
  } else {
    return QString("");
  }
}
