/***************************************************************************
                          kmicommandtrace.cpp  -  description
                             -------------------
    begin                : Mon Sep 2 2002
    copyright            : (C) 2002 by Stephan Hermann
    email                : sh@sourcecode.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "kmicommandtrace.h"

KMICommandTrace::KMICommandTrace(KMIInputCommand *handler):KMIInputCommand(handler,"TRACE"){
  connect(this,SIGNAL(sendCommand(const QString &)),handler,SIGNAL(sendCommand(const QString &)));
}
KMICommandTrace::~KMICommandTrace(){
}
/** No descriptions */
QString KMICommandTrace::checkCommand(const QString &channel,const QString &myNick,const QString &command,const QString &params){
if (command.lower()==getHandledCommand().lower()) {
    QString line=params;
    sendCommand("TRACE "+line+"\n");
    return QString("gotcha");
  } else {
    return QString("");
  }
}
