/***************************************************************************
                          kmicommandusers.cpp  -  description
                             -------------------
    begin                : Don Jul 11 2002
    copyright            : (C) 2002 by Stephan Hermann
    email                : sh@sourcecode.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "kmicommandusers.h"

KMICommandUsers::KMICommandUsers(KMIInputCommand *handler):KMIInputCommand(handler,"USERS"){
  connect(this,SIGNAL(sendCommand(const QString &)),handler,SIGNAL(sendCommand(const QString &)));
}
KMICommandUsers::~KMICommandUsers(){
}
/** No descriptions */
QString KMICommandUsers::checkCommand(const QString &channel,const QString &myNick,const QString &command,const QString &params){
  if (command.lower()==getHandledCommand().lower()) {
    params.stripWhiteSpace();
    QString server=params.left(params.find(" "));
    sendCommand("USERS "+server+"\n");
    return QString("gotcha");
  }
  return QString("");
}
