/***************************************************************************
                          kmicommandwhois.cpp  -  description
                             -------------------
    begin                : Don Jul 11 2002
    copyright            : (C) 2002 by Stephan Hermann
    email                : sh@sourcecode.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "kmicommandwhois.h"

KMICommandWhois::KMICommandWhois(KMIInputCommand *handler):KMIInputCommand(handler,"WHOIS"){
  connect(this,SIGNAL(sendCommand(const QString &)),handler,SIGNAL(sendCommand(const QString &)));
}

KMICommandWhois::~KMICommandWhois(){
}
/** No descriptions */
QString KMICommandWhois::checkCommand(const QString &channel,const QString &myNick,const QString &command,const QString &params){
  if (command.lower()==getHandledCommand().lower()) {
    QStringList nicks=QStringList::split(" ",params);
    for ( QStringList::Iterator it = nicks.begin(); it != nicks.end(); ++it ) {
      sendCommand("WHOIS "+*it+"\n");
    }
    return "gotcha";
  } else {
    return "";
  }
}
