/***************************************************************************
                          kmicommandwhowas.cpp  -  description
                             -------------------
    begin                : Fri Sep 13 2002
    copyright            : (C) 2002 by Stephan Hermann
    email                : sh@sourcecode.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "kmicommandwhowas.h"

KMICommandWhowas::KMICommandWhowas(KMIInputCommand *handler):KMIInputCommand(handler,"WHOWAS"){
  connect(this,SIGNAL(sendCommand(const QString &)),handler,SIGNAL(sendCommand(const QString &)));
}
KMICommandWhowas::~KMICommandWhowas(){
}
/** No descriptions */
QString KMICommandWhowas::checkCommand(const QString &channel,const QString &myNick,const QString &command,const QString &params){
  if (command.lower()==getHandledCommand().lower()) {
    QStringList nicks=QStringList::split(" ",params);
    for ( QStringList::Iterator it = nicks.begin(); it != nicks.end(); ++it ) {
      sendCommand("WHOWAS "+*it+"\n");
    }
    return "gotcha";
  } else {
    return "";
  }

}
