/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Son Jun 16 13:43:09 CEST 2002
    copyright            : (C) 2002 by Stephan Hermann
    email                : sh@sourcecode.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>

#include "kmyirc.h"

static const char *description =
	I18N_NOOP("KMyIRC");
// INSERT A DESCRIPTION FOR YOUR APPLICATION HERE
	
	
static KCmdLineOptions options[] =
{
  { 0, 0, 0 }
  // INSERT YOUR COMMANDLINE OPTIONS HERE
};

int main(int argc, char *argv[])
{

  KAboutData aboutData( "kmyirc", I18N_NOOP("KMyIRC"),
    VERSION, description, KAboutData::License_GPL,
    "(c) 2002, Stephan Hermann", 0, 0, "sh@sourcecode.de");
  aboutData.addAuthor("Stephan Hermann",0, "sh@sourcecode.de");
  KCmdLineArgs::init( argc, argv, &aboutData );
  KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.
  

  KApplication a;
  KMyIRC *kmyirc = new KMyIRC();
  a.setMainWidget(kmyirc);
  kmyirc->show();  
  if (!kmyirc->getCfg()->getGlobals()->noServerListAtStartUp) {
    kmyirc->slotDoLogin();
  }
  return a.exec();
}
