/***************************************************************************
                          kmiinputline.h  -  description
                             -------------------
    begin                : Mit Jun 26 2002
    copyright            : (C) 2002 by Stephan Hermann
    email                : sh@sourcecode.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KMIINPUTLINE_H
#define KMIINPUTLINE_H

#include <qwidget.h>
#include <qlineedit.h>
#include <qstringlist.h>

/**
  *@author Stephan Hermann
  */

class KMIInputLine : public QLineEdit  {
   Q_OBJECT
public: 
	KMIInputLine(QWidget *parent=0, const char *name=0);
	~KMIInputLine();
public slots:
	/** 
 */
  
	virtual void slotInputReturnPressed();

protected: // Protected methods
  /** No descriptions */
  virtual void keyPressEvent(QKeyEvent *);
private: // Private attributes
  /**  */
  QStringList * strList;
  /**  */
  QStringList::Iterator current;
};

#endif
