/***************************************************************************
                          kmilistbox.cpp  -  description
                             -------------------
    begin                : Mon Jul 8 2002
    copyright            : (C) 2002 by Stephan Hermann
    email                : sh@sourcecode.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "kmilistbox.h"

KMIListBox::KMIListBox(QWidget *parent, const char *name ) : KListBox(parent,name) {
}
KMIListBox::~KMIListBox(){
}
/** No descriptions */
void KMIListBox::keyPressEvent(QKeyEvent *e){
  if (e->key()==Key_Enter     ||
      e->key()==Key_Return    ||
      e->key()==Key_Backspace ||
      e->ascii()>=32) {
    e->ignore();
  } else {
    KListBox::keyPressEvent(e);
  }
}
